<template>
    <div class="chartSize">       
            <IEcharts :option='chartOption' :resizable="true" />
    </div>
</template>

<script>
import IEcharts from 'vue-echarts-v3/src/full.js';

export default {
    name: 'AreaChart',
    components: {
        IEcharts
    },
    props: ['seriesData', 'xAxisData'],

    data() {
        return{
            chartOption: {
                legend: {},
                tooltip: {},
                series: [
                    {
                        type: 'line',
                        data: this.seriesData,
                        areaStyle: {},
                        color: ['rgba(75,192,192,0.6)']
                    }
                ],
                xAxis: {
                    type: 'category',
                    data: this.xAxisData,
                    boundaryGap: false,
                    name: 'Action Figure Name',
                    nameLocation: 'middle',
                    nameTextStyle: {
                        padding: [20,0,0,0]
                    }
                },
                yAxis: {
                    type: 'value',
                    name: 'Number of Action Figures Sold',
                    nameLocation: 'middle',
                    nameTextStyle: {
                        padding: [0,0,50,0]
                    }
                }
            }
        }
    }
}
</script>

<style scoped>
    .chartSize{
        height: 400px;
        width: 800px;
        margin-left: 2rem;
    }
</style>